import QtQuick 2.4
import QtQuick.Controls 1.3

FocusScope {
    id: page

    default property alias data: content.data

    property string title

    property alias actionBar: __actionBar
    property Item rightSidebar

    Item {
        id: __actionBar

        anchors {
            left: parent.left
            right: parent.right
        }

        property Item toolbar

        Label {
            id: label
            anchors.fill: parent
            text: page.title
        }
    }

    Item {
        id: content

        anchors {
            top: parent.top
            bottom: parent.bottom
            left: parent.left
            right: rightSidebarContent.left
        }
    }

    Item {
        id: rightSidebarContent

        anchors {
            top: parent.top
            bottom: parent.bottom
            right: parent.right
        }

        children: [rightSidebar]

        width: rightSidebar
               ? rightSidebar.width + rightSidebar.anchors.rightMargin
               : 0
    }
}
