import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Layouts 1.1

Rectangle {
    id: toolbar

    anchors {
        top: parent.top
        left: parent.left
        right: parent.right
    }

    color: "lightblue"
    height: 50

    function pop(page) {
        stack.pop(page.actionBar)

        if (page.rightSidebar && page.rightSidebar.actionBar) {
            rightSidebarStack.pop(page.rightSidebar.actionBar)
        } else {
            rightSidebarStack.pop(emptyRightSidebar)
        }
    }

    function push(page) {
        stack.push(page.actionBar)

        page.actionBar.toolbar = toolbar

        if (page.rightSidebar && page.rightSidebar.actionBar) {
            rightSidebarStack.push(page.rightSidebar.actionBar)
        } else {
            rightSidebarStack.push(emptyRightSidebar)
        }
    }

    function replace(page) {
        stack.replace(page.actionBar)

        if (page.rightSidebar && page.rightSidebar.actionBar) {
            rightSidebarStack.replace(page.rightSidebar.actionBar)
        } else {
            rightSidebarStack.replace(emptyRightSidebar)
        }
    }

    StackView {
        id: stack
        height: parent.height

        anchors {
            left: parent.left
            right: parent.right
            rightMargin: 0
        }

        delegate: toolbarDelegate
    }

    StackView {
        id: rightSidebarStack
        height: parent.height
        width: 50

        anchors {
            right: parent.right
        }

        delegate: toolbarDelegate
    }

    StackViewDelegate {
        id: toolbarDelegate
    }

    Component {
        id: emptyRightSidebar

        Item {}
    }
}
