import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Window 2.2

ApplicationWindow {
    id: app
    title: "Test app"
    visible: true
    width: 800
    height: 600

    property alias pageStack: __pageStack

    StackView {
        id: __pageStack
        anchors {
            left: parent.left
            right: parent.right
            top: __toolbar.bottom
            bottom: parent.bottom
        }

        initialItem: Qt.resolvedUrl("LoginPage.qml")

        onPushed: __toolbar.push(page)
        onPopped: __toolbar.pop(page)
        onReplaced: __toolbar.replace(page)

        signal pushed(Item page)
        signal popped(Item page)
        signal replaced(Item page)

        property int __lastDepth: 0

        onCurrentItemChanged: {
            if (__pageStack.currentItem) {
                __pageStack.currentItem.forceActiveFocus()

                if (__lastDepth > __pageStack.depth) {
                    popped(__pageStack.currentItem);
                } else if (__lastDepth < __pageStack.depth) {
                    pushed(__pageStack.currentItem);
                } else {
                    replaced(__pageStack.currentItem);
                }
            }

            __lastDepth = __pageStack.depth;
        }
    }

    Toolbar {
        id: __toolbar
    }

}

